Bug 1389575 - flex-2.6.4 is available
Summary: flex-2.6.4 is available
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: flex
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Arjun Shankar
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/westes/flex/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-27 22:36 UTC by Upstream Release Monitoring
Modified: 2019-06-26 17:31 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 17:31:06 UTC


Attachments (Terms of Use)
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.15 KB, patch)
2016-10-27 22:37 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.15 KB, patch)
2016-10-29 12:48 UTC, Upstream Release Monitoring
no flags Details | Diff
Rebase-helper rebase-helper-debug.log log file. See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues. (5.15 KB, patch)
2016-12-31 00:19 UTC, Upstream Release Monitoring
no flags Details | Diff

Description Upstream Release Monitoring 2016-10-27 22:36:57 UTC
Latest upstream release: 2.6.2
Current version/release in rawhide: 2.6.1-2.fc26
URL: https://github.com/westes/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/819/

Comment 1 Upstream Release Monitoring 2016-10-27 22:37:18 UTC
Patching or scratch build for flex-2.6.1 failed.

Comment 2 Upstream Release Monitoring 2016-10-27 22:37:19 UTC
Created attachment 1214768 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 3 Upstream Release Monitoring 2016-10-27 22:37:21 UTC
Patches were not touched. All were applied properly

Comment 4 Upstream Release Monitoring 2016-10-29 12:47:55 UTC
Latest upstream release: v2.6.2
Current version/release in rawhide: 2.6.1-2.fc26
URL: https://github.com/westes/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/819/

Comment 5 Upstream Release Monitoring 2016-10-29 12:48:16 UTC
Patching or scratch build for flex-2.6.1 failed.

Comment 6 Upstream Release Monitoring 2016-10-29 12:48:18 UTC
Created attachment 1215283 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 7 Upstream Release Monitoring 2016-10-29 12:48:20 UTC
Patches were not touched. All were applied properly

Comment 8 Felix Schwarz 2016-11-04 07:53:40 UTC
Probably it would be good not to update to flex 2.6.2. There are reports that several projects (including mesa) fail to build when using 2.6.2.

Gentoo has a list of compile errors:
https://bugs.gentoo.org/show_bug.cgi?id=598186

The upstream issue is https://github.com/westes/flex/issues/113

Comment 9 Upstream Release Monitoring 2016-12-31 00:18:44 UTC
Latest upstream release: 2.6.3
Current version/release in rawhide: 2.6.1-2.fc26
URL: https://github.com/westes/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/819/

Comment 10 Upstream Release Monitoring 2016-12-31 00:19:06 UTC
Patching or scratch build for flex-2.6.1 failed.

Comment 11 Upstream Release Monitoring 2016-12-31 00:19:08 UTC
Created attachment 1236149 [details]
Rebase-helper rebase-helper-debug.log log file.
See for details and report the eventual error to rebase-helper https://github.com/phracek/rebase-helper/issues.

Comment 12 Upstream Release Monitoring 2016-12-31 00:19:10 UTC
Patches were not touched. All were applied properly

Comment 13 Account closed by the user 2017-02-03 22:06:43 UTC
(In reply to Upstream Release Monitoring from comment #9)

> Latest upstream release: 2.6.3
> Current version/release in rawhide: 2.6.1-2.fc26
> URL: https://github.com/westes/flex
> Based on the information from anitya: https://release-monitoring.org/project/819/


* version 2.6.3 released 2016-12-30

** scanner

*** several bug fixes resolved problems introduced in recent flex
    versions regarding processing of comments, literals and various
    quoting scenarios.

*** If the path to m4 was sufficiently long, a buffer overflow could
    occur. This has been resolved. The fix also removes dependence on
    the constant PATH_MAX.

** build

*** A new configure option --disable-bootstrap changes the behavior of
    the build system when building flex. The default
    "--enable-bootstrap" behavior is to build flex, then to use that
    flex to build flex again. With --disable-bootstrap, the scanner is
    simply built by sedding the scanner source. This is friendlier to
    cross compilation.

*** The compatibility functions in lib/ are no longer built as a
    library. Instead, they are built as $(LIBOBJ) objects. This is
    simpler and friendlier to cross compilation.

*** It is now possible to build flex without building the accompanying
    libfl. This is friendlier to cross compilation. See the
    --disable-libfl option to configure. Resolves #99.

*** the PIC version of libfl was not correctly built. It is no longer
    included in the build/installation targets of flex since it was
    unused.

*** the distributed man page is only rebuilt when the relevant source
    files change or when the binary doesn't exist. In particular, this
    is friendlier to cross compilation. Resolves #108

** test

*** the shell scripts in the test suite are more portable across different shell implementations.

* version 2.6.2 released 2016-10-24

** flex internals

*** a segfalt involving yyrestart(NULL) has been fixed

*** flex should now handle quoting when mixed with m4 processing correctly

*** flex handles `[[' and `]]' correctly

*** flex no longer generates non-ANSI code

*** more compilation warnings were squashed in generated scanners

*** prevented a buffer overflow that could occur when input buffers were the exact wrong size

** test suite

*** input filenames on MSWindows are now calculated correctly

*** general code cleanups in a number of tests now make the test suite compile much more cleanly

** build system

*** the xz archive has been replaced with an lzip archive

*** a new option to configure --enable-warnings to encapsulate passing
    of warning-related flags which is useful in testing flex

*** make indent now works for out of source builds

*** Portability warnings when generating Makefile.in files are now suppressed; they were just noise and the use of GNU extensions in Makefile.{am,in,} was intentional and well known.

** bugs

*** resolved gh#67

** new sv translation from the translation project

Comment 14 Mark McKinstry 2017-02-19 18:39:48 UTC
Does flex 2.6.3 fix it? I have a bug with building vile with the current flex 2.6.0: https://savannah.nongnu.org/bugs/index.php?50345

Comment 15 Upstream Release Monitoring 2017-05-07 00:14:18 UTC
Latest upstream release: 2.6.4
Current version/release in rawhide: 2.6.1-3.fc26
URL: https://github.com/westes/flex

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/819/

Comment 16 Upstream Release Monitoring 2017-05-07 00:14:23 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting https://github.com/westes/flex/releases/download/v2.6.4/flex-2.6.4.tar.xz to ./flex-2.6.4.tar.xz

Comment 17 Xose Vazquez Perez 2018-05-18 21:24:45 UTC
Flex 2.6.5 is WIP: https://github.com/westes/flex/milestone/4

Comment 18 Arjun Shankar 2019-06-26 17:31:06 UTC
I packaged 2.6.4 some months back, but forgot to update this bugzilla.
Here's the current Fedora 30 build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1186616

(In reply to Xose Vazquez Perez from comment #17)
> Flex 2.6.5 is WIP: https://github.com/westes/flex/milestone/4

Thanks. This continues to be true. I see that the latest commit is from 20th June and has new .po files, so things are moving.

We can close this bug and wait for Upstream Release Monitoring to file a new bug when it is finally released.


Note You need to log in before you can comment on or make changes to this bug.